package com.sikey.wa04.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author: nelson
 * @Date: 2025/6/12
 * @Description: 信号步数
 */
@AllArgsConstructor
@Getter
public enum SignalStepBatteryStepEnum {

    SIGNAL("signal","x-status-signal"),
    MAX_SIGNAL("maxSignal","x-status-signal-max"),
    BATTERY("battery","x-status-battery"),
    STEP("step","x-step"),
    STARTUP("startup","x-startup"),
    ;

    private final String value;

    private final String description;

    public static SignalStepBatteryStepEnum getValue(String value) {
        for (SignalStepBatteryStepEnum signalStepBatteryStepEnum : values()) {
            if (signalStepBatteryStepEnum.value.equals(value)) {
                return signalStepBatteryStepEnum;
            }
        }
        throw new RuntimeException("Unknown SignalStepBattery type: " + value);
    }
}
